
%define	name	ktorrent
%define	version 2.1.2
%define	rel	2
%define	subrel	1

%define major	%version
%define libname	%mklibname %name %major

Summary:	BitTorrent program for KDE
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Group:		Networking/File transfer
License:	GPL
Url:		http://ktorrent.pwsp.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		ktorrent-2.1.2-mmap64.patch
# our kde avahi stuff needs kdeui
Patch2:         ktorrent-2.1-zeroconf-link-kdeui.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gmp-devel
BuildRequires:	kdelibs-devel
Conflicts:	%{_lib}ktorrent0

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*
%{_libdir}/kde3
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/apps/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_iconsdir}/hicolor/scalable/apps/%{name}.svgz
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.svgz

#--------------------------------------------------------------------

# I consider this library package useless and would integrate the lib
# into the main package. TODO: Library policy exception for internal
# libraries. -Anssi

%package -n    %{libname}
Group:         System/Libraries
Summary:       Libraries for %{name}

%description -n        %{libname}
The libraries from %{name} package

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libktorrent-%major.so

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
#%patch2 -p1

%build
make -f admin/Makefile.common cvs
%configure2_5x	--disable-debug \
		--enable-mt \
		--disable-static \
		--enable-shared \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make
 
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/File transfer" $RPM_BUILD_ROOT%{_datadir}/applications/kde/%name.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

install -m644 apps/ktorrent/hi16-app-ktorrent.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 apps/ktorrent/hi32-app-ktorrent.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 apps/ktorrent/hi48-app-ktorrent.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/libktorrent.{so,la}

#Fix Conflictss with kdelibs-common
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-bittorrent.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor

%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor

# This is a workaround for #27417


%changelog
* Sat Apr 28 2007 Anssi Hannula <anssi@mandriva.org> 2.1.2-2.1mdv2007.0
+ Revision: 19049
- fix corrupted 4GB+ files (patch0 from upstream)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)

  + Mandriva <devel@mandriva.com>


* Wed Apr 04 2007 Laurent Montel <lmontel@mandriva.com> 2.1.3-1mdv2007.1
+ Revision: 150472
- 2.1.3

* Sun Mar 11 2007 Anssi Hannula <anssi@mandriva.org> 2.1.2-2mdv2007.1
+ Revision: 141207
- workaround rpm bug #27417

* Sat Mar 10 2007 Laurent Montel <lmontel@mandriva.com> 2.1.2-1mdv2007.1
+ Revision: 140339
- 2.1.2

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 2.1.1-1mdv2007.1
+ Revision: 133503
- 2.1.1

* Wed Feb 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1-1mdv2007.1
+ Revision: 117197
- 2.1 final
- new major 2.1
- refresh patch2
- move plugins to main package as they are not versioned
- add a comment to .spec about the library packaging
- add %%update_desktop_database and %%update_icon_cache

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Patch2: Fix Build
    - New Version 2.1Rc1
    - Fix File list
    - New release 2.0.3
    - import ktorrent-2.0.2-1mdv2007.0

* Thu Aug 31 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.2-1
- 2.0.2

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.1-1
- 2.0.1

* Tue Aug 15 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0-1
- 2.0

* Tue Jun 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.2mdv2007.0
- Fix conflicts with kdelibs-common

* Tue Jun 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.0mdv2007.0
- 2.0 Beta1
- Rediff Patch1
- Fix file list

* Sat May 27 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2-4mdv2007.0
- fix requires (lib64)
- drop useless devel package
- add back icons for non-kde
- simplify %%files

* Sat May 27 2006 Per yvind Karlsen <pkarlsen@mandriva.com> 1.2-3mdv2007.0
- add dependency on libtorrent

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2-2
- 1.2
- Add patch1: fix link
- Fix build on x86_64

* Tue Jul 19 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- fix summary (thx Bruno!)

* Tue Jul 19 2005 Per yvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (club request)

